Flash Download Tool 3.4.9 does not start on Windows

Tools needed to be installed and quick links
Post Reply
ClintBarton
Just Joined
Just Joined
Posts: 1
Joined: Mon Jun 18, 2018 6:53 am

Wed Jun 20, 2018 2:38 pm

Hi,

I want to update the AT version on my ESP01 from 1.1.0.0 to 2.1.0 so I can change the baud rate of the board. I downloaded the Flash Download Tool, 3.4.9, and attempted to start it. Having used a previous version, I was looking for the UI to appear. Instead, the console displays a lot of text and a couple of errors.
The console starts with "wxPyDeprecationWarning: Using deprecated class PySimpleApp.
After selecting the ESP8266 Download Tool button, the last line in the console reads:
File "main.py", line 72, in ShowDownLoadToolEsp8266 with some indication that it could not connect to my powered ESP01. Thoughts?

Please help.

I didn't find the right solution from the Internet.

References:-
https://bbs.espressif.com/viewtopic.php?t=5551
creative infographic design quote

Thanks!

User avatar
Afterdark
Staff & Moderator
Staff & Moderator
Posts: 44
Joined: Fri Dec 15, 2017 7:07 pm

Wed Jun 20, 2018 5:43 pm

do you have Python installed?

Post Reply
  • Information
  • Who is online

    Users browsing this forum: No registered users and 0 guests